<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('coach_info_records', function (Blueprint $table) {
            $table->comment('技师信息记录');
            $table->increments('id');
            $table->unsignedBigInteger('coach_id')->comment('技师编号');
            $table->string('nickname')->nullable()->comment('昵称');
            $table->string('avatar')->nullable()->comment('头像');
            $table->string('gender')->default('UNKNOWN')->comment('性别');
            $table->string('mobile')->default('')->comment('服务电话');
            $table->date('birthday')->nullable()->comment('出生日期');
            $table->integer('work_years')->nullable()->comment('从业年份');
            $table->string('intention_city')->nullable()->comment('意向城市');
            $table->text('introduction')->nullable()->comment('个人简介');
            $table->string('auditor')->nullable()->comment('审核人');
            $table->timestamp('audit_time')->nullable()->comment('审核时间');
            $table->string('audit_remark')->nullable()->comment('审核回执');
            $table->string('state')->default('PENDING')->comment('状态');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('coach_info_records');
    }
};
